Set management server settings
Configures the management server connection.
If Link is enabled, the server will sync identifiers, access rules, logs, etc.
If realtime logging is enabled, the device will send logs to the server in real time.
If heartbeat is enabled, the device will send a keep-alive to the server every 10 seconds. When the MQTT protocol is used, heartbeat is enabled by default.
- application/json
Request Body required
- is_enabled boolean required
Determines whether the Link server interaction is enabled
- protocol string required
Possible values: [
http,mqtt]Defines the protocol for interaction with the Link server
settings object required
Determines protocol-specific settings
anyOf- MOD1
- MOD2
url ipv4|dnsServer address
password stringDevice Link server authorization password
is_encrypted booleanEnables TLS encryption for the MQTT connection. A custom certificate can be uploaded with
POST /network/management/server/certificate; otherwise the built-in default is used.url string requiredServer address. Address must include http(s):// prefix
password string requiredDevice Link server authorization password
is_heartbeat_enabled boolean requiredIf enabled device will send keep alive request every 10 seconds
- 200
- 400
- 401
OK
- application/json
- Schema
- Example (from schema)
- Enabled
- Disabled
Schema
- operation_delay integer
Time after which the settings will be applied in milliseconds
{
"operation_delay": 0
}
{
"operation_delay": 5000
}
{
"operation_delay": 0
}
Validation error.
- Wrong url
- Wrong password
- Missed json body
- Wrong protocol
- Required field is not provided. Response sample:
"error": "Wrong JSON body: no value for `param`"
where param - is a required field that was not provided
- Field was of the wrong type. Response sample:
"error": "Wrong JSON body: value `param` was of the wrong type"
where param - is a field of the wrong type
- application/json
- Schema
- Example (from schema)
- Wrong url
- Wrong password
- Wrong protocol
- Base
- No value
- Wrong param type
Schema
- error string
Error information
{
"error": true
}
{
"error": "Wrong url"
}
{
"error": "Wrong password"
}
{
"error": "Wrong protocol"
}
{
"error": "Missed json body"
}
{
"error": "Wrong JSON body: no value for `param`"
}
{
"error": "Wrong JSON body: value `param` was of the wrong type"
}
Unauthorized request. Log In
- application/json
- Schema
- Example (from schema)
- Log In
Schema
- error string
Error information
{
"error": "Log In"
}
{
"error": "Log In"
}